@charset "UTF-8";

@import url(board-list.css);
@import url(board-view.css);
@import url(board-write.css);

/* common */
button{border:none;font-family:inherit;-webkit-appearance:none;-moz-appearance:none;appearance:none;}
select{-webkit-appearance:none;-moz-appearance:none;appearance:none;border-radius:0;}
select::-ms-expand{display:none;}
pre{font-family:inherit;}
.b-color-red02{color:var(--color55) !important;}

.fr-view table td, .fr-view table th{border:none;}

.b-top-info-wrap{padding:0 0 4rem;}
.article-chk{display:inline-block;position:absolute;top:5px;left:5px;line-height:1;z-index:5;}

/* 공통 */
.b-input{display:inline-block;padding:1.1rem 1.6rem;width:100%;border:1px solid var(--color52);font-size:1.8rem;line-height:1.4;letter-spacing:-0.02em;color:var(--color53);box-sizing:border-box;}
.b-input::placeholder{font-size:1.8rem;line-height:1.4;letter-spacing:-0.02em;color:var(--color53);}
.b-input.datepicker{padding:1.1rem 4rem 1.1rem 1.6rem;background:url(/_res/yonsei_rc/_share/img/board/ico-datepicker@2x.png) no-repeat right 1.6rem center/2.4rem;}
.b-select{display:inline-block;padding:1.1rem 4rem 1.1rem 1.6rem;width:100%;border:1px solid var(--color52);background:url(/_res/yonsei_rc/_share/img/board/ico-select-arrow@2x.png) no-repeat right 1.6rem center/2.4rem;font-size:1.8rem;line-height:1.4;color:var(--color53);box-sizing:border-box;}
.b-textarea{display:inline-block;padding:1.1rem 1.6rem;width:100%;height:48rem;border:1px solid var(--color52);font-family:inherit;font-size:1.8rem;line-height:1.4;letter-spacing:-0.02em;color:var(--color53);resize:none;appearance:none;-webkit-appearance:none;-moz-appearance:none;box-sizing:border-box;}
.b-s-chk{display:flex;align-items:center;gap:8px;}
.b-chk{display:inline-block;flex-shrink:0;position:relative;margin:0;width:2.4rem;height:2.4rem;border:1px solid var(--color52);background:var(--white100);vertical-align:middle;-webkit-appearance:none;-moz-appearance:none;appearance:none;cursor:pointer;}
.b-chk:checked{border-color:var(--color26);}
.b-chk:checked::before{content:'';position:absolute;top:50%;left:50%;width:1.3rem;height:1rem;background:url(/_res/yonsei_rc/_share/img/board/ico-checked@2x.png) no-repeat center/100%;transform:translate(-50%, -50%);}
.b-chk + label{display:inline-block;font-size:1.6rem;letter-spacing:-0.02em;vertical-align:middle;color:var(--black100);cursor:pointer;}
.b-guide-p{font-size:1.6rem;line-height:2.2rem;color:var(--black06);}
.b-radio{display:flex;flex-shrink:0;justify-content:center;align-items:center;position:relative;margin:0 1.6rem 0 0;width:2rem;height:2rem;border:1px solid var(--color47);border-radius:50%;background:var(--white100);-webkit-appearance:none;-moz-appearance:none;appearance:none;vertical-align:middle;cursor:pointer;}
.b-radio:checked{border-color:var(--color38);}
.b-radio:checked::before{content:'';width:1rem;height:1rem;border-radius:50%;background:var(--color38);}
.b-radio + label{display:inline-block;font-weight:var(--font-weight-semibold);font-size:1.8rem;line-height:1.2;vertical-align:middle;color:var(--black02);cursor:pointer;}


/* 카테고리 탭 */
.b-category .b-category-box{padding:0 0 4rem;}
.b-category .b-category-box ul{display:flex;gap:1.2rem;}
.b-category .b-category-box ul li a{display:inline-block;padding:1.2rem 2.4rem;border:1px solid var(--color52);border-radius:4rem;font-weight:var(--font-weight-semibold);font-size:2.2rem;line-height:1.4;letter-spacing:-0.02em;color:var(--color53);}
.b-category .b-category-box ul li.active a{border-color:var(--color26);background-color:var(--color26);;color:var(--white100);}

/* 검색 영역 */
.bn-search{padding:0 0 2rem;}
.bn-search form{display:flex;justify-content:space-between;align-items:center;width:100%;}
.bn-search.right form{justify-content:flex-end;}
.b-total-wrap{align-self:flex-end;}
.b-total-wrap p{font-weight:var(--font-weight-bold);font-size:1.8rem;line-height:1.4;letter-spacing:-0.02em;color:var(--black01);}
.b-total-wrap p span{color:var(--color26);}
.bn-search .b-search-wrap{display:flex;justify-content:flex-end;gap:2.4rem;position:relative;box-sizing:border-box;}
.bn-search .b-search-wrap .b-sel-wrap{display:flex;align-items:center;gap:8px;}
.bn-search .b-search-wrap .b-sel-wrap .b-sel-box{flex:1;}
.bn-search .b-search-wrap .b-sel-wrap .b-sel-box .b-input{max-width:16.8rem;border-radius:3.4rem;}
.bn-search .b-search-wrap .b-sel-wrap > span{display:inline-block;width:1.2rem;height:2px;background:var(--color53);}
.bn-search .b-search-box{display:flex;position:relative;}
.bn-search .b-search-box .b-input{padding:1.1rem 1.4rem 1.1rem 2.4rem;min-width:36rem;border-radius:4.8rem;border-color:var(--color54);background-color:var(--color54);}
.bn-search .b-search-box .b-sel-btn{position:absolute;top:50%;right:1.4rem;width:2rem;height:2rem;background:url(/_res/yonsei_rc/_share/img/board/ico-search@2x.png) no-repeat left center/100%;cursor:pointer;transform:translateY(-50%);}

/* 전체 선택/비선택 체크박스(관리자) */
.b-top-info-wrap{padding:0 0 2rem;}
.adm-chk{display:flex;align-items:center;gap:8px;}
.adm-chk input{display:block;position:relative;margin:0;width:2.4rem;height:2.4rem;border:1px solid var(--color52);background:var(--white100);-webkit-appearance:none;-moz-appearance:none;appearance:none;cursor:pointer;}
.adm-chk input:checked{border-color:var(--color26);}
.adm-chk input:checked::before{content:'';position:absolute;left:50%;top:50%;width:1.3rem;height:1rem;background:url(/_res/yonsei_rc/_share/img/board/ico-checked@2x.png) no-repeat center/100%;transform:translate(-50%, -50%);}
.adm-chk label{position:relative;font-size:1.8rem;line-height:1.4;letter-spacing:-0.02em;color:var(--black01);}
.article-chk input{display:block;margin:0;width:2.4rem;height:2.4rem;border:1px solid var(--color52);background:var(--white100);-webkit-appearance:none;-moz-appearance:none;appearance:none;cursor:pointer;}
.article-chk input:checked{border-color:var(--color26);}
.article-chk input:checked::before{content:'';position:absolute;left:50%;top:50%;width:1.3rem;height:1rem;background:url(/_res/yonsei_rc/_share/img/board/ico-checked@2x.png) no-repeat center/100%;transform:translate(-50%, -50%);}

/* 페이징 - b-paging */
.b-paging .b-paging-wrap ul{display:flex;flex-wrap:wrap;justify-content:center;align-items:center;padding:8rem 0 0;}
.b-paging .b-paging-wrap ul li a{display:flex;justify-content:center;align-items:center;box-sizing:border-box;}
.b-paging .b-paging-wrap ul li:not(.pager) a{width:4rem;height:4rem;font-size:1.6rem;line-height:1.5;letter-spacing:-0.02em;color:var(--color53);}
.b-paging .b-paging-wrap ul li a.active{border-radius:4px;background:var(--color26);font-weight:var(--font-weight-bold);color:var(--white100);}
.b-paging .b-paging-wrap ul li.pager a{display:block;width:4rem;height:4rem;}
.b-paging .b-paging-wrap ul li.first a{background:url(/_res/yonsei_rc/_share/img/board/ico-btn-first-page@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.prev a{margin:0 1.2rem 0 0;background:url(/_res/yonsei_rc/_share/img/board/ico-btn-prev-page@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.next a{margin:0 0 0 1.2rem;background:url(/_res/yonsei_rc/_share/img/board/ico-btn-next-page@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.last a{background:url(/_res/yonsei_rc/_share/img/board/ico-btn-last-page@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.first.disabled a{background:url(/_res/yonsei_rc/_share/img/board/ico-btn-first-page-disabled@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.prev.disabled a{margin:0 1.2rem 0 0;background:url(/_res/yonsei_rc/_share/img/board/ico-btn-prev-page-disabled@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.next.disabled a{margin:0 0 0 1.2rem;background:url(/_res/yonsei_rc/_share/img/board/ico-btn-next-page-disabled@2x.png) no-repeat center/100%;}
.b-paging .b-paging-wrap ul li.last.disabled a{background:url(/_res/yonsei_rc/_share/img/board/ico-btn-last-page-disabled@2x.png) no-repeat center/100%;}

/* 버튼 */
.b-btn-wrap{display:flex;flex-wrap:wrap;gap:1.2rem;padding:8rem 0 0;box-sizing:border-box;}
.b-btn-wrap.left{justify-content:flex-start;}
.b-btn-wrap.right{justify-content:flex-end;}
.b-btn-wrap.center{justify-content:center;}
.b-btn-wrap .b-btn{display:flex;justify-content:center;align-items:center;flex:1;padding:1.5rem 1rem;max-width:18rem;width:100%;border:1px solid var(--color26);border-radius:8px;background-color:var(--color26);font-weight:var(--font-weight-bold);font-size:2rem;line-height:1.4;letter-spacing:-0.02em;text-align:center;color:var(--white100);box-sizing:border-box;}
.b-btn-wrap .b-btn.white{border-color:var(--color52);background-color:var(--white100);color:var(--black01);}

/* list 게시판 - colgroup 너비 지정 클래스 */
.b-col-auto{width:auto;}
.b-col4{width:4%;}
.b-col5{width:5%;}
.b-col6{width:6%;}
.b-col7{width:7%;}
.b-col8{width:8%;}
.b-col9{width:9%;}
.b-col10{width:10%;}
.b-col11{width:11%;}
.b-col12{width:12%;}
.b-col13{width:13%;}
.b-col14{width:14%;}
.b-col15{width:15%;}
.b-col16{width:16%;}
.b-col16-5{width:16.5%;}
.b-col16-6{width:16.66%;}
.b-col17{width:17%;}
.b-col18{width:18%;}
.b-col19{width:19%;}
.b-col20{width:20%;}
.b-col22{width:22%;}
.b-col23{width:23%;}
.b-col25{width:25%;}
.b-col30{width:30%;}
.b-col32{width:32%;}
.b-col34{width:34%;}
.b-col35{width:35%;}
.b-col40{width:40%;}
.b-col42{width:42%;}
.b-col45{width:45%;}
.b-col50{width:50%;}

/* PDF 뷰어 */
.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box{display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;gap:2.4rem;margin:0 0 4.8rem;padding:0 0 3.3rem;border-bottom:1px solid var(--black01);}
.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-title{font-size:4rem;font-weight:var(--font-weight-bold);color:var(--black01);line-height:4.8rem;}

.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-down::after{content:'';width:2.4rem;height:2.4rem;background:url(/_res/yonsei_rc/_share/img/yonseirc/board/ico-pdf-down-btn@2x.png) no-repeat 0 0/100%;}
.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-down span{font-size:1.8rem;font-weight:var(--font-weight-medium);color:var(--color53);line-height:2.6rem;}
.b-pdf-view-wrap .b-pdf-view-box .pdf-viewer-area iframe{width:100%;height:110rem;}


@media screen and (max-width:1024.98px){	
	/* 공통 */
	.b-input{padding:5px;font-size:1.4rem;}
	.b-input::placeholder{font-size:1.4rem;}
	.b-input.datepicker{padding:5px 2.3rem 5px 5px;background:url(/_res/yonsei_rc/_share/img/board/ico-datepicker@2x.png) no-repeat right 5px center/1.8rem;}
	.b-select{padding:5px 2.3rem 5px 5px;font-size:1.4rem;background:url(/_res/yonsei_rc/_share/img/board/ico-select-arrow@2x.png) no-repeat right 5px center/1.8rem;}
	.b-textarea{padding:5px;height:25rem;font-size:1.4rem;}
	.b-guide-p{font-size:1.4rem;line-height:2rem;}
	.b-radio{margin:0 1rem 0 0;}
	.b-radio + label{font-size:1.4rem;}


	/* 카테고리 탭 */
	.b-category-m{position:relative;margin:0 0 3rem;text-align:center;}
	.b-category-m label{position:relative;display:block;padding:1.5rem;background:var(--color26);font-weight:var(--font-weight-bold);font-size:1.6rem;line-height:1.5;color:var(--white100);}
	.b-category-m label::after{content:'';display:inline-block;position:absolute;top:calc(50% - 6px);right:2rem;width:2rem;height:1.1rem;background: url(/_res/yonsei_rc/_share/img/uc/board/ico-tab-arrow@2x.png) no-repeat center center/100%;}
	.b-category-m .board-tab-sel{position:absolute;left:0;top:0;width:100%;height:100%;opacity:0;}
	.b-category-m .board-tab-sel option{font-size:1.6rem;}

	/* 검색 영역 */
	.bn-search form{flex-direction:column-reverse;gap:1.5rem;}
	.b-total-wrap{align-self:flex-start;}
	.b-total-wrap p{font-size:1.4rem;}
	.bn-search .b-search-wrap{flex-direction:column;gap:5px;width:100%;}
	.bn-search .b-search-wrap .b-sel-wrap{gap:5px;}
	.bn-search .b-search-wrap .b-sel-wrap > span{width:8px;height:1px;}
	.bn-search .b-search-wrap .b-sel-wrap .b-sel-box .b-input{padding:8px 2.3rem 8px 1.2rem;max-width:unset;}
	.bn-search .b-search-box .b-input{padding:8px 1.2rem;min-width:unset;border-radius:4rem;}

	/* 전체 선택/비선택 체크박스(관리자) */
	.b-top-info-wrap{padding:0 0 1rem;}
	.adm-chk input{width:1.6rem;height:1.6rem;}
	.adm-chk input:checked::before{width:1rem;height:8px;}
	.adm-chk label{font-size:1.4rem;}
	.article-chk input{width:1.4rem;height:1.4rem;}
	.article-chk input:checked::before{width:1rem;height:8px;}

	/* 페이징 - b-paging */
	.b-paging .b-paging-wrap ul{padding:2.5rem 0 0;}
	.b-paging .b-paging-wrap ul li:not(.pager) a{width:3rem;height:3rem;font-size:1.4rem;line-height:2.4rem;}
	.b-paging .b-paging-wrap ul li.pager a{width:2.6rem;height:2.6rem;}
	.b-paging .b-paging-wrap ul li.prev a{margin:0 6px 0 0;}
	.b-paging .b-paging-wrap ul li.next a{margin:0 0 0 6px;}	

	/* 버튼 */
	.b-btn-wrap{gap:6px;padding:4rem 0 0;}
	.b-btn-wrap .b-btn{flex:auto;max-width:unset;padding:1rem 5px;font-size:1.6rem;}

	/* colgroup 너비 지정 클래스 */
	.b-col-auto{width:100%;}
	.co-board table colgroup > [class*='b-col']{display:none;width:0;}

	/* PDF 뷰어 */
	.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box{flex-direction:column;align-items:flex-start;gap:1.2rem;margin:0 0 2.4rem;padding:0 0 1.6rem;}
	.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-title{font-size:3rem;line-height:3.8rem;}
	.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-down{align-self:flex-end;gap:5px;padding:5px 1.1rem;}
	.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-down::after{width:1.8rem;height:1.8rem;}
	.b-pdf-view-wrap .b-pdf-view-box .b-pdf-title-box .b-pdf-down span{font-size:1.4rem;line-height:2rem;}
	.b-pdf-view-wrap .b-pdf-view-box .pdf-viewer-area iframe{height:80rem;}
}

@media screen and (max-width :768px) {	
	/* PDF 뷰어 */
	.b-pdf-view-wrap .b-pdf-view-box .pdf-viewer-area iframe{height:50rem;}
}